#!/bin/bash
export software=gromacs
export version=2019.4

compile_date=`date +"%m-%d-%y-%H-%M-%S"`
compile_dir=compile_${compile_date}
mkdir $compile_dir
cd $compile_dir

env > env_before_start.out 

Untar(){
	echo "======== untar package in ======"
	pwd
	tar -zxf  ../$software-${version%%-*}.tar.gz
}

Install_bin(){
	echo "======== install bin ========"
	install_dir=${software}/${version%%-*}
	mkdir -p $install_dir
	cd $software-${version%%-*}
	mkdir build
	cd build
	echo "
	cmake ../  -DGMX_MPI=${CFL_GROMACS_MPI} -DGMX_OPENMP=${CFL_GROMACS_OPENMP} -DGMX_GPU=${CFL_GROMACS_GPU} -DCMAKE_INSTALL_PREFIX=../../$install_dir -DGMX_X11=OFF -DBUILD_SHARED_LIBS=OFF -DCMAKE_C_FLAGS="${CFL_GROMACS_DCMAKE_C_FLAGS}" -DCMAKE_CXX_FLAGS="$CFL_GROMACS_DCMAKE_CXX_FLAGS" -DGMX_FFT_LIBRARY="${CFL_GROMACS_DGMX_FFT_LIBRARY}" -DMKL_INCLUDE_DIR="${CFL_GROMACS_DMKL_INCLUDE_DIR}" -DCMAKE_CXX_COMPILER=${mympicxxcomp} -DCMAKE_C_COMPILER=${mympiccomp} "  1>compile.out 2>compile.err
	cmake  ../  -DGMX_MPI=${CFL_GROMACS_MPI} -DGMX_OPENMP=${CFL_GROMACS_OPENMP} -DGMX_GPU=${CFL_GROMACS_GPU} -DCMAKE_INSTALL_PREFIX=../../$install_dir -DGMX_X11=OFF -DBUILD_SHARED_LIBS=OFF -DCMAKE_C_FLAGS="${CFL_GROMACS_DCMAKE_C_FLAGS}" -DCMAKE_CXX_FLAGS="${CFL_GROMACS_DCMAKE_CXX_FLAGS}" -DGMX_FFT_LIBRARY="${CFL_GROMACS_DGMX_FFT_LIBRARY}" -DMKL_INCLUDE_DIR="${CFL_GROMACS_DMKL_INCLUDE_DIR}" -DCMAKE_CXX_COMPILER=${mympicxxcomp} -DCMAKE_C_COMPILER=${mympiccomp} 1>>compile.out 2>>compile.err
make -j 40 install 1>>compile.out 2>>compile.err
}

Deploy(){
    Untar
    Install_bin
}

Deploy
